Skip to main content
GET
/
v1
/
template-messages
List template messages
curl --request GET \
  --url https://app.chatbotx.io/api/v1/template-messages \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "language": "<string>",
    "category": "<string>",
    "status": "<string>",
    "integrationWhatsapp": {
      "id": "<string>",
      "name": "<string>",
      "inboxId": "<string>",
      "displayPhoneNumber": "<string>"
    },
    "components": "<unknown>",
    "integrationWhatsappId": "<unknown>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

inboxId
string
Pattern: \d+
integrationWhatsappId
string
Pattern: \d+
status
enum<string>
Available options:
APPROVED,
PENDING,
REJECTED

Response

200 - application/json

OK

id
string
required
name
string
required
language
string
required
category
string
required
status
string
required
integrationWhatsapp
object
required
components
any
integrationWhatsappId
any